Create and show tooltip on multiple targets in EJ2 JavaScript Tooltip control

10 Mar 20259 minutes to read

Tooltips can be created and shown on multiple targets within a container by defining specific target elements using the target property. This ensures that the Tooltip is initialized only on matched targets within the container.

In this implementation, the Tooltip content is assigned from the title attribute of the target element.

import { Tooltip } from '@syncfusion/ej2-popups';

let tooltip: Tooltip = new Tooltip({
    position: 'RightCenter'
});
tooltip.appendTo('#uname'); // Here we have appended the Tooltip to the element.
var button1 = new ej.buttons.Button();
button1.appendTo('#sample');
var button2 = new ej.buttons.Button();
button2.appendTo('#clear');
var tooltip1 = new ej.popups.Tooltip({
   position: 'RightCenter'
});
tooltip1.appendTo('#uname');
var tooltip2 = new ej.popups.Tooltip({
   position: 'RightCenter'
});
tooltip2.appendTo('#mail');
var tooltip3 = new ej.popups.Tooltip({
   position: 'RightCenter'
});
tooltip3.appendTo('#pwd');
var tooltip4 = new ej.popups.Tooltip({
   position: 'RightCenter'
});
tooltip4.appendTo('#cpwd');

var uname = document.getElementById('uname');
var pwd = document.getElementById('pwd');
var cpwd = document.getElementById('cpwd');
document.getElementById('sample').addEventListener('click', function () {
   if ((uname.value.length > 0) & (uname.value.length < 4)) {
      uname.title = 'Required Minimum 4 Characters';
      uname.style.backgroundColor = 'red';
      tooltip1.open(uname);
   } else {
      uname.style.backgroundColor = 'white';
   }
   if (pwd !== '' && pwd.value.length < 8) {
      pwd.title = 'Required Minimum 8 Characters';
      pwd.style.backgroundColor = 'red';
      tooltip3.open(pwd);
   } else {
      pwd.style.backgroundColor = 'white';
   }
   if (
      uname.value.length >= 4 &&
      pwd !== '' &&
      pwd.value.length >= 8 &&
      pwd == cpwd.value
   ) {
      alert('Form Submitted');
   } else {
      alert('Details are not Valid');
   }
});
document.getElementById('clear').addEventListener('click', function () {
   uname.style.backgroundColor = 'white';
   pwd.style.backgroundColor = 'white';
   tooltip1.close(uname);
   uname.title = 'Please enter your name';
   tooltip3.close(pwd);
});
<!DOCTYPE html>
<html lang="en">

<head>
  <title>EJ2 Tooltip</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="Typescript UI Controls">
  <meta name="author" content="Syncfusion">
  <link href="index.css" rel="stylesheet">
  <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-base/styles/material.css" rel="stylesheet">
  <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-popups/styles/material.css" rel="stylesheet">
  <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-buttons/styles/material.css" rel="stylesheet">
  <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-inputs/styles/material.css" rel="stylesheet">
  <script src="https://cdn.syncfusion.com/ej2/29.2.4/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
  <div id="container">
    <form id="details" role="form">
      <div id="user">
        <div class="info">User Name:</div>
        <div class="inputs"><input type="text" id="uname" class="e-info e-input" name="firstname"
            title="Please enter your name"></div>
      </div>
      <br>
      <div>
        <div class="info">Email Address:</div>
        <div class="inputs"><input type="text" id="mail" class="e-info e-input" name="email"
            title="Enter a valid email address"></div>
      </div>
      <br>
      <div>
        <div class="info">Password:</div>
        <div class="inputs"><input id="pwd" type="password" class="e-info e-input" name="password"
            title="Be at least 8 characters length"></div>
      </div>
      <br>
      <div>
        <div class="info">Confirm Password:</div>
        <div class="inputs"><input id="cpwd" type="password" class="e-info e-input" name="Cpwd"
            title="Re-enter your password"></div>
      </div>
      <br>
      <div class="btn">
        <input id="sample" type="button" value="Submit">
        <input id="clear" type="reset" value="Reset">
      </div>
    </form>
  </div>

  <script>
    var ele = document.getElementById('container');
    if (ele) {
      ele.style.visibility = "visible";
    }   
  </script>
  <script src="index.js" type="text/javascript"></script>
  <style>
    #details .info {
      font-weight: bold;
      width: 165px;
      display: inline-block;
      margin-left: 10px;
    }

    #details .inputs {
      display: inline-block;
    }

    #details .btn {
      margin-top: 10px;
      position: relative;
      left: 50%;
      transform: translateX(-50%);
      display: inline-block;
    }

    #details #sample {
      margin-left: 10px;
    }

    #details #clear {
      margin-left: 10px;
    }

    #details {
      padding-top: 30px;
      padding-bottom: 30px;
      position: relative;
      left: 50%;
      transform: translateX(-50%);
      display: inline-block;
    }
  </style>
</body>

</html>
#container {
    visibility: hidden;
    border: 1px solid #ddd;
  }

  #loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
  }

Create and show Tooltip on multiple targets in React Tooltip component

28 Feb 202514 minutes to read

You can create and show tooltips on multiple targets within a container by defining the specific target elements in the target property. This way, the Tooltip is initialized only on the specified targets within the container.

import * as React from 'react';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
import { Ajax } from '@syncfusion/ej2-base';
function App() {
  let tooltip = null;
  function beforeRender(args) {
    tooltip.content = "Loading...";
    tooltip.dataBind();
    let ajax = new Ajax("./tooltip.json", "GET", true);
    ajax.send().then((result) => {
      result = JSON.parse(result);
      for (let i = 0; i < result.length; i++) {
        if (result[i].Id == args.target.id) {
          /* tslint:disable */
          tooltip.content = result[i].Name;
          /* tslint:enable */
        }
      }
      tooltip.dataBind();
    }, (reason) => {
      tooltip.content = reason.message;
      tooltip.dataBind();
    });
  }
  return (<div id="container">
    <TooltipComponent beforeRender={beforeRender.bind(this)} content="Loading..." target=".circletool" position="BottomCenter" showTipPointer={false} ref={i => (tooltip = i)}>
      <h2> Dynamic Tooltip content </h2>
      <div id="box" className="e-prevent-select">
        <div id="1" className="circletool bold-01" />
        <div id="2" className="circletool italic" />
        <div id="3" className="circletool underline-02" />
        <div id="4" className="circletool cut-02" />
        <div id="5" className="circletool copy" />
        <div id="6" className="circletool paste" />
      </div>
    </TooltipComponent>
  </div>);
}
export default App;
import * as React from 'react';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
import { Ajax } from '@syncfusion/ej2-base';

function App() {
  let tooltip: TooltipComponent = null as any;
  function beforeRender(args: any) {
    tooltip.content = "Loading...";
    tooltip.dataBind();
    let ajax: Ajax = new Ajax("./tooltip.json", "GET", true);
    ajax.send().then(
      (result: any) => {
        result = JSON.parse(result);
        for (let i: number = 0; i < result.length; i++) {
          if (result[i].Id == args.target.id) {
            /* tslint:disable */
            tooltip.content = result[i].Name;
            /* tslint:enable */
          }
        }
        tooltip.dataBind();
      },
      (reason: any) => {
        tooltip.content = reason.message;
        tooltip.dataBind();
      }
    );
  }
  return (
    <div id="container">
      <TooltipComponent
        beforeRender={beforeRender.bind(this)}
        content="Loading..."
        target=".circletool"
        position="BottomCenter"
        showTipPointer={false}
        ref={i => (tooltip = i as any)}
      >
        <h2> Dynamic Tooltip content </h2>
        <div id="box" className="e-prevent-select">
          <div id="1" className="circletool bold-01" />
          <div id="2" className="circletool italic" />
          <div id="3" className="circletool underline-02" />
          <div id="4" className="circletool cut-02" />
          <div id="5" className="circletool copy" />
          <div id="6" className="circletool paste" />
        </div>
      </TooltipComponent>
    </div>
  );
}
export default App;
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
import { Ajax } from '@syncfusion/ej2-base';
function App() {
  let tooltip = null;
  function beforeRender(args) {
    tooltip.content = "Loading...";
    tooltip.dataBind();
    let ajax = new Ajax("./tooltip.json", "GET", true);
    ajax.send().then((result) => {
      result = JSON.parse(result);
      for (let i = 0; i < result.length; i++) {
        if (result[i].Id == args.target.id) {
          /* tslint:disable */
          tooltip.content = result[i].Name;
          /* tslint:enable */
        }
      }
      tooltip.dataBind();
    }, (reason) => {
      tooltip.content = reason.message;
      tooltip.dataBind();
    });
  }
  return (<div id="container">
    <TooltipComponent beforeRender={beforeRender.bind(this)} content="Loading..." target=".circletool" position="BottomCenter" showTipPointer={false} ref={i => (tooltip = i)}>
      <h2> Dynamic Tooltip content </h2>
      <div id="box" className="e-prevent-select">
        <div id="1" className="circletool bold-01" />
        <div id="2" className="circletool italic" />
        <div id="3" className="circletool underline-02" />
        <div id="4" className="circletool cut-02" />
        <div id="5" className="circletool copy" />
        <div id="6" className="circletool paste" />
      </div>
    </TooltipComponent>
  </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
import { Ajax } from '@syncfusion/ej2-base';

function App() {
  let tooltip: TooltipComponent = null as any;
  function beforeRender(args: any) {
    tooltip.content = "Loading...";
    tooltip.dataBind();
    let ajax: Ajax = new Ajax("./tooltip.json", "GET", true);
    ajax.send().then(
      (result: any) => {
        result = JSON.parse(result);
        for (let i: number = 0; i < result.length; i++) {
          if (result[i].Id == args.target.id) {
            /* tslint:disable */
            tooltip.content = result[i].Name;
            /* tslint:enable */
          }
        }
        tooltip.dataBind();
      },
      (reason: any) => {
        tooltip.content = reason.message;
        tooltip.dataBind();
      }
    );
  }
  return (
    <div id="container">
      <TooltipComponent
        beforeRender={beforeRender.bind(this)}
        content="Loading..."
        target=".circletool"
        position="BottomCenter"
        showTipPointer={false}
        ref={i => (tooltip = i as any)}
      >
        <h2> Dynamic Tooltip content </h2>
        <div id="box" className="e-prevent-select">
          <div id="1" className="circletool bold-01" />
          <div id="2" className="circletool italic" />
          <div id="3" className="circletool underline-02" />
          <div id="4" className="circletool cut-02" />
          <div id="5" className="circletool copy" />
          <div id="6" className="circletool paste" />
        </div>
      </TooltipComponent>
    </div>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
[
    {
        "Id": "1",
        "Name": "Bold"
    },
    {
        "Id": "2",
        "Name": "Italic"
    },
    {
        "Id": "3",
        "Name": "Underline"
    },
    {
        "Id": "4",
        "Name": "Cut"
    },
    {
        "Id": "5",
        "Name": "Copy"
    },
    {
        "Id": "6",
        "Name": "Paste"
    }
];

Implementing multiple target Tooltips in Angular

8 Jan 20258 minutes to read

Tooltip can be created and shown on multiple targets within a container by defining the specific target elements to the the target property. This way, the Tooltip is initialized only on the matched targets within the container.

In this case, the Tooltip content is assigned from the title attribute of the target element.

import { Component, ViewChild, ElementRef } from '@angular/core';
import { TooltipComponent, TooltipModule } from '@syncfusion/ej2-angular-popups';

@Component({
  imports: [
    TooltipModule
  ],
  standalone: true,
  selector: 'my-app',
  template: `
    <div id="tool">
      <form id="details" role="form">
        <div id="user">
          <div class="info">User Name:</div>
          <ejs-tooltip #tooltip position="RightCenter" title="Please enter your name">
            <div class="inputs">
              <input #unameInput type="text" id="uname" class="e-info e-input" name="firstname" />
            </div>
          </ejs-tooltip>
        </div>
        <br />
        <div>
          <div class="info">Email Address:</div>
          <ejs-tooltip position="RightCenter" title="Enter a valid email address">
            <div class="inputs">
              <input type="text" id="mail" class="e-info e-input" name="email" />
            </div>
          </ejs-tooltip>
        </div>
        <br />
        <div>
          <div class="info">Password:</div>
          <ejs-tooltip #tooltipPwd position="RightCenter" title="Be at least 8 characters length">
            <div class="inputs">
              <input #pwdInput id="pwd" type="password" class="e-info e-input" name="password" />
            </div>
          </ejs-tooltip>
        </div>
        <br />
        <div>
          <div class="info">Confirm Password:</div>
          <ejs-tooltip position="RightCenter" title="Re-enter your password">
            <div class="inputs">
              <input #cpwdInput id="cpwd" type="password" class="e-info e-input" name="Cpwd" />
            </div>
          </ejs-tooltip>
        </div>
        <br />
        <div class="btn">
          <input id="sample" ejs-button type="button" value="Submit" (click)="submitdata()" />
          <input id="clear" ejs-button type="reset" value="Reset" (click)="cleardata()" />
        </div>
      </form>
    </div>
  `,
})
export class AppComponent {
  @ViewChild('tooltip') tooltip!: TooltipComponent;
  @ViewChild('tooltipPwd') tooltipPwd!: TooltipComponent;
  @ViewChild('unameInput') unameInput!: ElementRef<HTMLInputElement>;
  @ViewChild('pwdInput') pwdInput!: ElementRef<HTMLInputElement>;
  @ViewChild('cpwdInput') cpwdInput!: ElementRef<HTMLInputElement>;

  submitdata() {
    const name = this.unameInput.nativeElement.value;
    const pwd = this.pwdInput.nativeElement.value;
    const cpwd = this.cpwdInput.nativeElement.value;

    if (name.length > 0 && name.length < 4) {
      this.unameInput.nativeElement.title = 'Required Minimum 4 Characters';
      this.unameInput.nativeElement.style.backgroundColor = 'red';
      this.tooltip.open(this.unameInput.nativeElement);
    } else {
      this.unameInput.nativeElement.style.backgroundColor = 'white';
    }

    if (pwd !== '' && pwd.length < 8) {
      this.pwdInput.nativeElement.title = 'Required Minimum 8 Characters';
      this.pwdInput.nativeElement.style.backgroundColor = 'red';
      this.tooltipPwd.open(this.pwdInput.nativeElement);
    } else {
      this.pwdInput.nativeElement.style.backgroundColor = 'white';
    }

    if (name.length >= 4 && pwd !== '' && pwd.length >= 8 && pwd === cpwd) {
      alert('Form Submitted');
    } else {
      alert('Details are not Valid');
    }
  }

  cleardata() {
    this.unameInput.nativeElement.style.backgroundColor = 'white';
    this.unameInput.nativeElement.title = 'Please enter your name';

    this.pwdInput.nativeElement.style.backgroundColor = 'white';
  }
}
@import 'node_modules/@syncfusion/ej2-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-inputs/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-buttons/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-popups/styles/material.css';

#loader {
    color: #008cff;
    font-family: 'Helvetica Neue', 'calibiri';
    font-size: 16px;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

#details .info {
    font-weight: bold;
    width: 110px;
    display: inline-block;
    margin-left: 10px;
}

#details .inputs {
    display: inline-block;
}

#details .btn {
    margin-top: 10px;
    margin-left: 50px;
}

#details #sample {
    margin-left: 10px;
}

#details #clear {
    margin-left: 10px;
}

#details {
    padding-top: 30px;
    padding-bottom: 30px;
}

#tool {
    width: 500px;
    margin: 0 auto;
    transform: translateX(20%);
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Create and show tooltip on multiple targets in Vue Tooltip component

25 Dec 202421 minutes to read

Tooltip can be created and shown on multiple targets within a container by defining the specific target elements to the target property. So, the tooltip is initialized only on matched targets within a container.

In this case, the tooltip content is derived from the title attribute of the target element.

<ejs-tooltip target='.e-info' position='RightCenter'>
</ejs-tooltip>
<template>
    <div id='app'>
        <ejs-tooltip ref="tooltip1" target='.e-info' position='RightCenter'>
            <div id="container">
                <form id="details" role="form">
                    <div id="user">
                        <div class="info">User Name:</div>
                        <div class="inputs">
                            <input type="text" ref="uname" id="uname" class="e-info e-input" name="firstname"
                                title="Please enter your name">
                        </div>
                    </div>
                    <br />
                    <div>
                        <div class="info">Email Address:</div>
                        <div class="inputs">
                            <input type="text" id="mail" class="e-info e-input" name="email"
                                title="Enter a valid email address">
                        </div>
                    </div>
                    <br />
                    <div>
                        <div class="info">Password:</div>
                        <div class="inputs">
                            <input id="pwd" ref="pwd" type="password" class="e-info e-input" name="password"
                                title="Be at least 8 characters length">
                        </div>
                    </div>
                    <br />
                    <div>
                        <div class="info">Confirm Password:</div>
                        <div class="inputs">
                            <input id="cpwd" ref="cpwd" type="password" class="e-info e-input" name="Cpwd"
                                title="Re-enter your password">
                        </div>
                    </div>
                    <br />
                    <div class="btn">
                        <ejs-button id="sample" v-on:click='onSubmit'>Submit</ejs-button>
                        <ejs-button id='clear' v-on:click='onClear' type='reset'>Reset</ejs-button>
                    </div>
                </form>
            </div>
        </ejs-tooltip>
    </div>
</template>
<style>
@import "node_modules/@syncfusion/ej2-base/styles/material.css";
@import "node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

#container {
    border: 1px solid #ddd;
}

#details .info {
    font-weight: bold;
    width: 165px;
    display: inline-block;
    margin-left: 10px;
}

#details .inputs {
    display: inline-block;
}

#details .btn {
    margin-top: 10px;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    display: inline-block;
}

#details #sample {
    margin-left: 10px;
}

#details #clear {
    margin-left: 10px;
}

#details {
    padding-top: 30px;
    padding-bottom: 30px;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    display: inline-block;
}
</style>
<script setup>
import { TooltipComponent as EjsTooltip } from '@syncfusion/ej2-vue-popups';
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { ref } from 'vue';

const uname = ref(null);
const pwd = ref(null);
const cpwd = ref(null);
const tooltip1 = ref(null);

const onSubmit = () => {
    let name = uname.value.value;
    let pwd = pwd.value.value;
    let cpwd = cpwd.value.value;
    if (name.length > 0 & name.length < 4) {
        uname.value.ej2Instances.title = 'Required Minimum 4 Characters';
        uname.style.value.backgroundColor = 'red';
        let target = uname.value;
        tooltip1.open(target);
    } else {

        uname.value.style.backgroundColor = 'white';
    }
    if (pwd !== '' && pwd.length < 8) {
        pwd.value.ej2Instances.title = 'Required Minimum 8 Characters';
        pwd.value.style.backgroundColor = 'red';
        let pwdtarget = pwd.value;
        tooltip1.open(pwdtarget);
    } else {
        pwd.style.backgroundColor = 'white';
    }
    if (name.length >= 4 && pwd !== '' && pwd.length >= 8 && pwd == cpwd) {
        alert('Form Submitted');
    } else {
        alert('Details are not Valid');
    }
};
const onClear = () => {
    uname.value.style.backgroundColor = 'white';
    pwd.value.style.backgroundColor = 'white';
    let target = uname.value;
    tooltip1.close(target);
    uname.value.ej2Instances.title = 'Please enter your name';
    let pwdtarget = pwd.value;
    tooltip1.close(pwdtarget);
};

</script>
<template>
   <div id='app'>
        <ejs-tooltip ref="tooltip1" target='.e-info' position='RightCenter'>
            <div id="container">
                <form id="details" role="form">
                    <div id="user">
                    <div class="info">User Name:</div>
                    <div class="inputs">
                        <input type="text" ref="uname" id="uname" class="e-info e-input" name="firstname" title="Please enter your name">
                    </div>
                    </div>
                    <br/>
                    <div>
                    <div class="info">Email Address:</div>
                    <div class="inputs">
                        <input type="text" id="mail" class="e-info e-input" name="email" title="Enter a valid email address">
                    </div>
                    </div>
                    <br/>
                    <div>
                    <div class="info">Password:</div>
                        <div class="inputs">
                            <input id="pwd" ref="pwd" type="password" class="e-info e-input" name="password" title="Be at least 8 characters length">
                        </div>
                    </div>
                    <br/>
                    <div>
                    <div class="info">Confirm Password:</div>
                    <div class="inputs">
                        <input id="cpwd" ref="cpwd" type="password" class="e-info e-input" name="Cpwd" title="Re-enter your password">
                    </div>
                    </div>
                    <br/>
                    <div class="btn">
                        <ejs-button id="sample" v-on:click='onSubmit'>Submit</ejs-button>
                        <ejs-button id='clear' v-on:click='onClear' type='reset'>Reset</ejs-button>
                    </div>
                </form>
            </div>
        </ejs-tooltip>
    </div>
</template>
<style>
@import "node_modules/@syncfusion/ej2-base/styles/material.css";
@import "node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
#container {
    border: 1px solid #ddd;
}

#details .info {
    font-weight: bold;
    width: 165px;
    display: inline-block;
    margin-left: 10px;
}
#details .inputs {
    display: inline-block;
}
#details .btn{
  margin-top: 10px;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  display: inline-block;
}
#details #sample{
  margin-left:10px;
}
#details #clear{
  margin-left:10px;
}
#details {
  padding-top: 30px;
  padding-bottom: 30px;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  display: inline-block;
}
</style>
<script>
import { TooltipComponent } from '@syncfusion/ej2-vue-popups';
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';

export default {
name: "App",
components: {
"ejs-tooltip":TooltipComponent,
"ejs-button":ButtonComponent
},
  data: function() {
    return {
    };
  },
  methods: {
    onSubmit:function(){
    let name = this.$refs.uname.value;
    let pwd = this.$refs.pwd.value;
    let cpwd = this.$refs.cpwd.value;
    if(name.length > 0 & name.length < 4){
        this.$refs.uname.title = 'Required Minimum 4 Characters';
        this.$refs.uname.style.backgroundColor = 'red';
        let target = this.$refs.uname;
        tooltip1.open(target);
    } else {

        this.$refs.uname.style.backgroundColor = 'white';
    }
    if(pwd !== '' && pwd.length < 8){
        this.$refs.pwd.title = 'Required Minimum 8 Characters';
        this.$refs.pwd.style.backgroundColor = 'red';
        let pwdtarget = this.$refs.pwd;
        tooltip1.open(pwdtarget);
    } else {
        this.$refs.pwd.style.backgroundColor = 'white';
    }
    if(name.length >= 4 && pwd !== '' && pwd.length >= 8  &&  pwd == cpwd ){
        alert('Form Submitted');
    } else {
        alert('Details are not Valid');
    }
    },
    onClear:function(){
        this.$refs.uname.style.backgroundColor = 'white';
        this.$refs.pwd.style.backgroundColor = 'white';
        let target = this.$refs.uname;
        tooltip1.close(target);
        this.$refs.uname.title = 'Please enter your name';
        let pwdtarget = this.$refs.pwd;
        tooltip1.close(pwdtarget);
    }
  }
}
</script>